
Infrastructure - Feature #2376

Allow "set" command w/o arguments to display all variables.

2012-02-23 18:13 - Andrew Pippin

Status: Closed Start date: 2012-02-23

Priority: Normal Due date:  

Assignee: Andrew Pippin % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

In bash, typing "@set@" by itself lists all variables (and functions).  This is handy when you can't remember the spelling of the

variable that is being modified.

As a usability feature, the command "@set@" by itself should behave identical to "@get@" (now "@show@") without arguments.

History

#1 - 2012-02-24 01:39 - Andrew Pippin

- Assignee changed from Andrew Pippin to Roger Dahl

- Status changed from New to In Progress

Implemented.  See SVN r7105.

#2 - 2012-02-24 01:48 - Andrew Pippin

- Assignee changed from Roger Dahl to Andrew Pippin

Doesn't work correctly.

#3 - 2012-02-24 22:04 - Andrew Pippin

- % Done changed from 0 to 90

- Assignee changed from Andrew Pippin to Roger Dahl

Roger, give this a whirl.  It turns out there was a problem in the way I was calling the CLI.

#4 - 2012-03-03 00:04 - Andrew Pippin

- Assignee changed from Roger Dahl to Andrew Pippin

- Status changed from In Progress to Closed

- Target version set to Sprint-2012.09-Block.2.1

Roger, I'm closing this one out.  I don't think you need to spend your time checking this one.
